Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Interface IEntityGroupStore

All Superinterfaces:
  IGroupConstants

All Known Implementing Classes:
  FileSystemGroupStore, LDAPGroupStore, PersonAttributesGroupStore, RDBMEntityGroupStore

    public interface IEntityGroupStore

extends IGroupConstants

Interface for finding and maintaining `IEntityGroups`.

Version:
  1.0, 11/29/01
Author:
  Dan Ellentuck

Field Summary

Fields inherited from interface org.jasig.portal.groups.IGroupConstants
`CHANNEL_CATEGORIES, CONTAINS, ENDS_WITH, EVERYONE, IS, NODE_SEPARATOR, PORTAL_ADMINISTRATORS, STARTS_WITH`

Method Summary
`boolean` | `contains(IEntityGroup group, IGroupMember member)` Answers if `group` contains `member`.
`void` | `delete(IEntityGroup group)` Delete this `IEntityGroup` from the data store.
`IEntityGroup` | `find(java.lang.String key)` Returns an instance of the `IEntityGroup` from the data store.
`java.util.Iterator` | `findContainingGroups(IGroupMember gm)` Returns an `Iterator` over the `Collection` of `IEntityGroups` that the `IGroupMember` belongs to.
`java.util.Iterator` | `findEntitiesForGroup(IEntityGroup group)` Returns an `Iterator` over the `Collection` of `IEntities` that are members of this `IEntityGroup`.
`ILockableEntityGroup` | `findLockable(java.lang.String key)` Returns an instance of the `ILockableEntityGroup` from the data store.
`java.lang.String[]` | `findMemberGroupKeys(IEntityGroup group)` Returns a `String[]` containing the keys of `IEntityGroups` that are members of this `IEntityGroup`.
`java.util.Iterator` | `findMemberGroups(IEntityGroup group)` Returns an `Iterator` over the `Collection` of `IEntityGroups` that are members of this `IEntityGroup`.
`IEntityGroup` | `newInstance(java.lang.Class entityType)`
`EntityIdentifier[]` | `searchForGroups(java.lang.String query, int method, java.lang.Class leaftype)` Find EntityIdentifiers for groups whose name matches the query string according to the specified method and matches the provided leaf type
`void` | `update(IEntityGroup group)` Adds or updates the `IEntityGroup` AND ITS MEMBERSHIPS to the data store, as appropriate.
`void` | `updateMembers(IEntityGroup group)` Commits the group memberships of the `IEntityGroup` to the data store.

Method Detail

### contains

    boolean contains(IEntityGroup group,
                     IGroupMember member)
                     throws GroupsException

  Answers if `group` contains `member`.

  Parameters:
    `group` - org.jasig.portal.groups.IEntityGroup
    `member` - org.jasig.portal.groups.IGroupMember
  Returns:
    boolean
  Throws:
    `GroupsException`

### delete

    void delete(IEntityGroup group)
                throws GroupsException

  Delete this `IEntityGroup` from the data store.

  Parameters:
    `group` - org.jasig.portal.groups.IEntityGroup
  Throws:
    `GroupsException`

### find

    IEntityGroup find(java.lang.String key)
                      throws GroupsException

  Returns an instance of the `IEntityGroup` from the data store.

  Parameters:
    `key` - java.lang.String
  Returns:
    org.jasig.portal.groups.IEntityGroup
  Throws:
    `GroupsException`

### findContainingGroups

    java.util.Iterator findContainingGroups(IGroupMember gm)
                                            throws GroupsException

  Returns an `Iterator` over the `Collection` of `IEntityGroups` that the `IGroupMember` belongs to.

  Parameters:
    `gm` - org.jasig.portal.groups.IEntityGroup
  Returns:
    java.util.Iterator
  Throws:
    `GroupsException`

### findEntitiesForGroup

    java.util.Iterator findEntitiesForGroup(IEntityGroup group)
                                            throws GroupsException

  Returns an `Iterator` over the `Collection` of `IEntities` that are members of this `IEntityGroup`.

  Parameters:
    `group` - org.jasig.portal.groups.IEntityGroup
  Returns:
    java.util.Iterator
  Throws:
    `GroupsException`

### findLockable

    ILockableEntityGroup findLockable(java.lang.String key)
                                      throws GroupsException

  Returns an instance of the `ILockableEntityGroup` from the data store.

  Parameters:
    `key` - java.lang.String
  Returns:
    org.jasig.portal.groups.IEntityGroup
  Throws:
    `GroupsException`

### findMemberGroupKeys

    java.lang.String[] findMemberGroupKeys(IEntityGroup group)
                                           throws GroupsException

  Returns a `String[]` containing the keys of `IEntityGroups` that are members of this `IEntityGroup`. In a composite group system, a group may contain a member group from a different service. This is called a foreign membership, and is only possible in an internally-managed service. A group store in such a service can return the key of a foreign member group, but not the group itself, which can only be returned by its local store.

  Parameters:
    `group` - org.jasig.portal.groups.IEntityGroup
  Returns:
    String[]
  Throws:
    `GroupsException`

### findMemberGroups

    java.util.Iterator findMemberGroups(IEntityGroup group)
                                        throws GroupsException

  Returns an `Iterator` over the `Collection` of `IEntityGroups` that are members of this `IEntityGroup`.

  Parameters:
    `group` - org.jasig.portal.groups.IEntityGroup
  Returns:
    java.util.Iterator
  Throws:
    `GroupsException`

### newInstance

    IEntityGroup newInstance(java.lang.Class entityType)
                             throws GroupsException

  Returns:
    org.jasig.portal.groups.IEntityGroup
  Throws:
    `GroupsException`

### searchForGroups

    EntityIdentifier[] searchForGroups(java.lang.String query,
                                       int method,
                                       java.lang.Class leaftype)
                                       throws GroupsException

  Find EntityIdentifiers for groups whose name matches the query string according to the specified method and matches the provided leaf type

  Throws:
    `GroupsException`

### update

    void update(IEntityGroup group)
                throws GroupsException

  Adds or updates the `IEntityGroup` AND ITS MEMBERSHIPS to the data store, as appropriate.

  Parameters:
    `group` - org.jasig.portal.groups.IEntityGroup
  Throws:
    `GroupsException`

### updateMembers

    void updateMembers(IEntityGroup group)
                       throws GroupsException

  Commits the group memberships of the `IEntityGroup` to the data store.

  Parameters:
    `group` - org.jasig.portal.groups.IEntityGroup
  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD